package com.casic.missiles.service.business;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.business.interchange.*;
import com.casic.missiles.model.business.BusinessInterchange;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 业务管理-设备交接单 服务类
 * </p>
 *
 * @author cz
 * @since 2023-02-02
 */
public interface IBusinessInterchangeService extends IService<BusinessInterchange> {

    Page<InterchangeListResponse> exchangeListPage(Page<InterchangeListResponse> page, InterchangeListRequest request) throws Exception;

    BusinessInterchangeDetailResponse exchangeDetail(Long id);

    ReturnDTO deleteExchange(Long id);

    ReturnDTO updateExchange(BusinessInterchange businessInterchange);

    ReturnDTO addExchange(BusinessInterchange businessInterchange);

    void exportExchange(InterchangeListRequest request, HttpServletResponse response);

}
